saxulum/saxulum-http-client-adapter-zend

This package is abandoned and no longer maintained. No replacement package was suggested.

Saxulum Http Client Adapter Zend

1.0.4 2014-10-24 19:36 UTC

README

Build Status Total Downloads Latest Stable Version Scrutinizer Code Quality

Features

  • Provides a http client interface adapter for zend

Requirements

  • PHP 5.3+
  • Zend Http ~2.3

Installation

Through Composer as saxulum/saxulum-http-client-adapter-zend.

Usage

use Saxulum\HttpClient\Zend\HttpClient;
use Saxulum\HttpClient\Request;

$httpClient = new HttpClient();
$response = $httpClient->request(new Request(
    '1.1',
    Request::METHOD_GET,
    'http://en.wikipedia.org',
    array(
        'Connection' => 'close',
    )
));

You can inject your own zend client instance while creating the http client instance.

use Zend\Http\Client;
use Saxulum\HttpClient\Zend\HttpClient;

$client = new Client;
$httpClient = new HttpClient($client);